Bug 610103 - [abrt] crash in Window::IsSystemWindow when activating OpenOffice.org after upgrading OpenOffice.org while quickstarter was running
[abrt] crash in Window::IsSystemWindow when activating OpenOffice.org after u...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
13
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
abrt_hash:c58c6c2901f92ba5629fdb7ff31...
:
: 578831 604886 610975 616856 634823 635281 637425 641446 641514 642141 643724 648836 649358 651625 651636 652079 653177 654349 654957 655498 655840 656289 656490 656929 657008 657348 657934 658626 658718 658742 661249 663452 663545 664109 666251 678628 698191 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-01 11:02 EDT by Trevor Mettam
Modified: 2011-06-27 15:15 EDT (History)
84 users (show)

See Also:
Fixed In Version: openoffice.org-3.3.0-16.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 15:15:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (33.05 KB, text/plain)
2010-07-01 11:02 EDT, Trevor Mettam
no flags Details
immediate workaround (739 bytes, patch)
2010-11-24 09:05 EST, Caolan McNamara
no flags Details | Diff

  None (edit)
Description Trevor Mettam 2010-07-01 11:02:49 EDT
abrt 1.1.1 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: /usr/lib/openoffice.org3/program/soffice.bin -quickstart -nologo -nodefault
comment: OpenOffice.org Quickstarter GNOME applet occasionally crashes when using it.
component: openoffice.org
crash_function: Window::IsSystemWindow
executable: /usr/lib/openoffice.org3/program/soffice.bin
global_uuid: c58c6c2901f92ba5629fdb7ff319150837438133
kernel: 2.6.33.5-124.fc13.i686
package: openoffice.org-brand-1:3.2.0-12.24.fc13
rating: 4
reason: Process /usr/lib/openoffice.org3/program/soffice.bin was killed by signal 11 (SIGSEGV)
release: Fedora release 13 (Goddard)

How to reproduce
-----
1.  Do something with the OpenOffice Quickstarter applet.

Note: only occurs intermittently
Comment 1 Trevor Mettam 2010-07-01 11:02:52 EDT
Created attachment 428464 [details]
File: backtrace
Comment 2 Caolan McNamara 2010-07-01 11:14:43 EDT
*** Bug 604886 has been marked as a duplicate of this bug. ***
Comment 3 Caolan McNamara 2010-07-01 11:16:36 EDT
Any idea what it is that triggers this. e.g. do you know if there was any open OpenOffice.org windows when the crash happened, or was there no OpenOffice.org windows at the time.

Is your desktop environment KDE or GNOME ?
Comment 4 Trevor Mettam 2010-07-01 11:28:52 EDT
Not a great deal to add at this point...

I am using GNOME on Fedora 13 on a somewhat older machine (2002 vintage). The crash has occurred a few times now, and as far as I can recall, on each occasion only the Quickstarter was active. No other OOo windows were open.
Comment 5 Caolan McNamara 2010-07-01 16:10:23 EDT
At least we know its not a KDE-specific issue which helps. Seems to happen on just a "open_url_cb" which would be straight menu entry for an empty writer/calc etc option.
Comment 6 Trevor Mettam 2010-07-01 22:11:10 EDT
To use an Australian-ism... Yeeeah, that sounds about roight. :)

I'm pretty sure it also occurred using the 'Open Document...' menu option.
Comment 7 Trevor Mettam 2010-07-02 07:52:37 EDT
Hmmm, It just happened to me again, only this time it occurred while attempting to open a text document from a desktop file folder.
Comment 8 Caolan McNamara 2010-07-03 06:03:27 EDT
*** Bug 610975 has been marked as a duplicate of this bug. ***
Comment 9 Caolan McNamara 2010-07-03 06:13:02 EDT
I feel like ramming some thread lockers in there, but maybe a better approach would be to see where that system window comes from in the working scenario and see if there's some potential race condition going on here.
Comment 10 Trevor Mettam 2010-07-14 04:58:38 EDT
This has occurred again, only this time the Quickstarter wasn't even running at the time. I tried to launch OpenOffice.org Writer directly and got the same thing. Trying a second time worked fine though.
Comment 11 Caolan McNamara 2010-07-21 10:46:49 EDT
*** Bug 616856 has been marked as a duplicate of this bug. ***
Comment 12 Trevor Mettam 2010-08-02 21:33:13 EDT
This now occurs *every time* I invoke OpenOffice.org (by whatever means) following a reboot. Subsequent invocations are fine, though.
Comment 13 Caolan McNamara 2010-09-17 03:40:38 EDT
*** Bug 634823 has been marked as a duplicate of this bug. ***
Comment 14 Artem 2010-09-17 10:09:07 EDT
Package: openoffice.org-brand-1:3.3.0-7.4.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


Comment
-----
Downloaded file and tried to open, having quickstarter working, after crash file was opened without problems, I assume problem is exactly in quickstarter
Comment 15 Caolan McNamara 2010-09-18 14:40:59 EDT
*** Bug 635281 has been marked as a duplicate of this bug. ***
Comment 16 Jonathan Kamens 2010-09-19 05:45:21 EDT
Package: openoffice.org-brand-1:3.3.0-7.4.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
Launching oocalc on a file from the command line.
Comment 17 Peque 2010-09-25 11:55:53 EDT
Package: openoffice.org-brand-1:3.2.0-12.31.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


Comment
-----
Just launch OpenOffice.org using the qickstart in the system bar.
Comment 18 Caolan McNamara 2010-09-25 14:48:42 EDT
*** Bug 637425 has been marked as a duplicate of this bug. ***
Comment 19 Steve Dowe 2010-09-26 09:51:34 EDT
Package: openoffice.org-brand-1:3.2.0-12.31.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. clicked on desktop ods file 
2. OOo calc crashed before drawing a window
3.


Comment
-----
The original source of the data in this file was from a .xlsx file, which I had previously imported into Calc and saved out as .ods
Comment 20 Gilles 2010-09-28 14:36:04 EDT
Package: openoffice.org-brand-1:3.2.0-12.31.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Click on document 
2. OOo crash immediatly (before splash screen)
3.
Comment 21 Caolan McNamara 2010-10-05 11:07:39 EDT
self-note: I can always shove a if NULL check in there and avoid this exact crash, but something else will definitely break. The question is why is this NULL, there are two routes to generating the window wrapper. The second one kicks in if the first one fails. I think we're seeing the results of the *first* route failing and getting the useless fallback. So my guess is that osl_loadModuleRelative or osl_getFunctionSymbol("CreateWindow") in toolkit/source/awt/vclxtoolkit.cxx is failing. Or at least that's where I'd point the debugger if there was any way in which *I* could reproduce this.
Comment 22 Caolan McNamara 2010-10-08 14:55:20 EDT
*** Bug 641446 has been marked as a duplicate of this bug. ***
Comment 23 David Tardon 2010-10-09 03:54:53 EDT
*** Bug 641514 has been marked as a duplicate of this bug. ***
Comment 24 David Tardon 2010-10-12 03:21:39 EDT
*** Bug 642141 has been marked as a duplicate of this bug. ***
Comment 25 Peque 2010-10-12 12:47:34 EDT
Package: openoffice.org-brand-1:3.2.0-12.31.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


Comment
-----
Just run OpenOffice.org Writer from the app menu
Comment 26 David Tardon 2010-10-18 00:56:02 EDT
*** Bug 643724 has been marked as a duplicate of this bug. ***
Comment 27 Steve Dowe 2010-10-23 06:07:23 EDT
Package: openoffice.org-brand-1:3.2.0-12.31.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Receive email with .doc attachments in Evolution
2. Using attachment controls in message pane, try to open directly in OpenOffice writer.  
3. OOo writer never appears, it just crashes.


Comment
-----
Note, I have the quickstarter enabled.
Comment 28 Gregory Maxwell 2010-10-31 23:16:25 EDT
Package: openoffice.org-brand-1:3.3.0-9.3.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
No idea, sorry.
Comment 29 David Tardon 2010-11-02 05:38:39 EDT
*** Bug 648836 has been marked as a duplicate of this bug. ***
Comment 30 paduparchy 2010-11-03 05:34:04 EDT
Package: openoffice.org-brand-1:3.3.0-9.3.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
I try to open a document directly from a download firefox.
Comment 31 David Tardon 2010-11-03 12:14:07 EDT
*** Bug 649358 has been marked as a duplicate of this bug. ***
Comment 32 David Tardon 2010-11-10 00:49:17 EST
*** Bug 651636 has been marked as a duplicate of this bug. ***
Comment 33 David Tardon 2010-11-10 00:56:48 EST
*** Bug 651625 has been marked as a duplicate of this bug. ***
Comment 34 Reb 2010-11-10 07:48:16 EST
Package: openoffice.org-brand-1:3.3.0-13.3.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. I selected OpenOffice Writer from the applications menu
2. That was it.
3.
Comment 35 Eduardo Habkost 2010-11-10 08:19:26 EST
Package: openoffice.org-brand-1:3.3.0-13.3.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
Tried to open a corrupted .xls file

$ file ~/Downloads/export.xls 
/home/ehabkost/Downloads/export.xls: CDF V2 Document, corrupt: Can't read SAT

Comment
-----
I can't share the corrupt file as it has confidential data, but I will attach a hexdump containing the first and last bytes of the corrupted file.
Comment 36 Misha Shnurapet 2010-11-10 09:20:17 EST
Package: openoffice.org-brand-1:3.3.0-13.3.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


Comment
-----
opened a .pptx file
Comment 37 Dennis Wagelaar 2010-11-10 11:11:23 EST
Package: openoffice.org-brand-1:3.3.0-13.3.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Open a .odp file with OpenOffice
2.
3.


Comment
-----
First time: crash. Next time: opens normally.
Comment 38 igor.redhat@gmail.com 2010-11-10 17:14:46 EST
Package: openoffice.org-brand-1:3.3.0-13.3.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


Comment
-----
I believe this happened the first time I tried to start open office from command line
after upgrading to 3.3.0.13.3.fc14
Comment 39 David Tardon 2010-11-11 02:39:24 EST
*** Bug 652079 has been marked as a duplicate of this bug. ***
Comment 40 Inkvizitor 2010-11-11 06:46:22 EST
Package: openoffice.org-brand-1:3.3.0-13.3.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Download attach from web mail
2. In FireFox clic  to open with OpenOffice
3.
Comment 41 Bruce Fowler 2010-11-11 20:29:05 EST
Package: openoffice.org-brand-1:3.3.0-13.3.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.Not sure
2.
3.


Comment
-----
I've had several crashes since adding "Base" to my new Fedora 14 setup.  This may have come while
trying to export a report in .pdf.
Comment 42 David Tardon 2010-11-15 00:06:22 EST
*** Bug 653177 has been marked as a duplicate of this bug. ***
Comment 43 Martin Sjöstrand 2010-11-15 15:07:07 EST
Package: openoffice.org-brand-1:3.3.0-13.3.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.Open a ppd-file retrieved from the net
2.OOO crashes
3.
Comment 44 Qingtang Zhou 2010-11-17 01:05:28 EST
Package: openoffice.org-brand-1:3.3.0-14.1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Open a odt file.
2. openoffice crashed.
3.
Comment 45 Aurélien Nanot 2010-11-17 05:33:27 EST
Package: openoffice.org-brand-1:3.3.0-13.3.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. lors de l'ouverture d'un document exel en .xls
2.
3.
Comment 46 Daniel Scott 2010-11-17 09:19:59 EST
Package: openoffice.org-brand-1:3.3.0-13.3.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Open an ODT file.
2.
3.
Comment 47 Caolan McNamara 2010-11-17 11:49:22 EST
*** Bug 654349 has been marked as a duplicate of this bug. ***
Comment 48 Jay 2010-11-17 13:11:19 EST
Package: openoffice.org-brand-1:3.3.0-13.3.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Opened from the Application menu
2.
3.
Comment 49 Luis Medina 2010-11-17 13:33:49 EST
Package: openoffice.org-brand-1:3.3.0-13.3.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Open a file
2. Crash
3.
Comment 50 tobyknudsen@gmail.com 2010-11-17 14:13:37 EST
Package: openoffice.org-brand-1:3.3.0-13.3.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. downloaded file with firefox 3.6.x
2. OO writer failed on start as helper app
3.
Comment 51 filemon 2010-11-18 06:17:57 EST
Package: openoffice.org-brand-1:3.3.0-13.3.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Open XLS document
2.
3.
Comment 52 redhawk1973 2010-11-18 08:37:59 EST
Package: openoffice.org-brand-1:3.3.0-13.3.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.Just opening a Calc workbook
2.
3.
Comment 53 Gilles 2010-11-19 03:29:28 EST
Package: openoffice.org-brand-1:3.3.0-14.1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Quickstart is active
2. Click on Impress document
3. OOo crashed
Comment 54 Caolan McNamara 2010-11-19 04:05:22 EST
*** Bug 654957 has been marked as a duplicate of this bug. ***
Comment 55 lmarcin1 2010-11-19 11:26:28 EST
Package: openoffice.org-brand-1:3.3.0-14.1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.open office tried to open a document from thunderbord 
2.
3.
Comment 56 Zbigniew Fiedorowicz 2010-11-19 13:08:21 EST
Package: openoffice.org-brand-1:3.3.0-14.1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.
2.
3.
I just chose Openoffice Writer from the Applications menu
Comment 57 Boris Goldowsky 2010-11-21 09:35:20 EST
Package: openoffice.org-brand-1:3.3.0-14.1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
unknown
Comment 58 David Tardon 2010-11-21 13:22:36 EST
*** Bug 655498 has been marked as a duplicate of this bug. ***
Comment 59 dobs 2010-11-21 15:12:16 EST
Package: openoffice.org-brand-1:3.3.0-14.1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Open .doc file from FLASH
Comment 60 Alex Lancaster 2010-11-21 18:41:17 EST
Package: openoffice.org-brand-1:3.3.0-14.1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. run "ooimpress <filename>.odp" from command line
2. crash


Comment
-----
Tried just "ooimpress", didn't get a crash.  Not sure how reproducible this is.
Comment 61 gabicr 2010-11-22 02:21:59 EST
Package: openoffice.org-brand-1:3.3.0-14.1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.trying to open Microsoft pps
2.
3.
Comment 62 David Tardon 2010-11-22 09:43:55 EST
*** Bug 655840 has been marked as a duplicate of this bug. ***
Comment 63 Joe Buckley 2010-11-22 12:17:08 EST
Package: openoffice.org-brand-1:3.3.0-14.1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. located an often used .ods file using Dophin (KDE)
2. select - click (O-O spreadsheet is the default app for .ods files in my system)
3. Crash!


Comment
-----
This only seems to happen intermittently, and if it does at all it will be on the initial use of O-O. All further attempts to open spreadsheets during the session succeed.
Comment 64 Scott Castaline 2010-11-22 15:26:16 EST
Package: openoffice.org-brand-1:3.3.0-14.1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.Clicked on Desktop Icon to launching OOo Calc with a particular file
2.Notification of crash by Quick Start
3.


Comment
-----
Using a desktop icon to open a spreadsheet file by launching OpenOffice.org.
Comment 65 DeepPurpleFedora 2010-11-22 21:36:10 EST
Package: openoffice.org-brand-1:3.3.0-14.1.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.
2.
3.
clicked 'open document'
Comment 66 DeepPurpleFedora 2010-11-22 21:40:00 EST
Package: openoffice.org-brand-1:3.3.0-14.1.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.
2.
3.
clicked 'open document'
Comment 67 David Tardon 2010-11-23 07:52:02 EST
*** Bug 656289 has been marked as a duplicate of this bug. ***
Comment 68 Caolan McNamara 2010-11-23 16:11:07 EST
*** Bug 656490 has been marked as a duplicate of this bug. ***
Comment 69 meddlingmonk 2010-11-23 20:23:08 EST
Package: openoffice.org-brand-1:3.3.0-15.2.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Click on the OpenOffice.org Quickstarter.
2. Click on anything on the menu from Text Document down to Open Document...
3. 


Comment
-----
Most of the time the Quickstarter just works. The crashes seem random.
Comment 70 filemon 2010-11-24 02:57:32 EST
Package: openoffice.org-brand-1:3.3.0-15.2.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.opening .ods spresdsheet from quickstart
2.
3.
Comment 71 Caolan McNamara 2010-11-24 08:13:48 EST
As dtardon discovered, and I can confirm. This is happening when

a) you have the quickstarter running
b) you then upgrade OpenOffice.org
c) you then attempt to use the old quickstarter which is pointing at deleted libraries from the older removed instance of OpenOffice.org

Firefox has a similar, if less fatal, problem with being upgraded while still running.

Lets see if there's anything we can do to make this a little more graceful
Comment 72 Caolan McNamara 2010-11-24 09:05:34 EST
Created attachment 462628 [details]
immediate workaround
Comment 73 Caolan McNamara 2010-11-24 09:59:20 EST
*** Bug 656929 has been marked as a duplicate of this bug. ***
Comment 74 Severin Gehwolf 2010-11-24 11:53:24 EST
Package: openoffice.org-brand-1:3.3.0-15.2.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Open Nautilus 
2. Create new empty file with .odt extension
3. Double click to open OO.org writer


Comment
-----
I'm not sure if I can reproduce. When I repeated the above steps a second time no segfault occurred. Note that I had the OO quickstarter showing up in the system tray (so I assume it was running ;-)) and that is now gone. Hence, I guess the second attempt did not have the quickstarter running. Maybe that's the difference. Not sure.
Comment 75 Severin Gehwolf 2010-11-24 11:56:52 EST
> Comment
> -----
> I'm not sure if I can reproduce. When I repeated the above steps a second time
> no segfault occurred. Note that I had the OO quickstarter showing up in the
> system tray (so I assume it was running ;-)) and that is now gone. Hence, I
> guess the second attempt did not have the quickstarter running. Maybe that's
> the difference. Not sure.

I can confirm that indeed there have been updates with respect to OO.org (I believe it was installed yesterday, though).
Comment 76 Deepak 2010-11-24 11:58:30 EST
Package: openoffice.org-brand-1:3.3.0-15.2.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. I opened a .doc attachment thru MS WORD (wine).
2. I closed the attachment.
3. I tried opening the same attachment with openoffice.org writer
Comment 77 Caolan McNamara 2010-11-24 15:16:55 EST
*** Bug 657008 has been marked as a duplicate of this bug. ***
Comment 78 Horst H. von Brand 2010-11-24 17:48:18 EST
Yes, I can confirm that updating OOo (or whatever it is abbreviated now) and starting it has crashed rather consistently, and rebooting before starting it fixes that.
Comment 79 steve mold 2010-11-24 18:04:51 EST
Package: openoffice.org-brand-1:3.3.0-15.2.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.Just launched writer
2. system detected crash
3.


Comment
-----
Clicked writer a second time and all is hunky-dory and working fine.

Did notice I had a recent update to Open Office and I've not used Writer after the update until now.
Comment 80 sazaney 2010-11-24 23:22:47 EST
Package: openoffice.org-brand-1:3.3.0-15.2.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.
2.
3.
open csv on OOCalc
Comment 81 Joost 2010-11-25 02:21:42 EST
Package: openoffice.org-brand-1:3.3.0-15.2.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. No Idea
2.
3.
Comment 82 C.J.H. 2010-11-25 02:22:37 EST
Package: openoffice.org-brand-1:3.3.0-15.2.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.tried to open a prevously created OpenOffice document for editing
2.OpenOffice crashed
3.


Comment
-----
I tried to open a document in OpenOffice for editing and OOo crashed.  The file that I was opening had been created & saved with OOo previously.
Comment 83 Caolan McNamara 2010-11-25 08:35:14 EST
So, quite a bit tricky, here's what I'll try...

The quickstarter IMO is getting enabled effectively by default by accident. So fixing that so that for anyone that hasn't happened to run OpenOffice.org yet it won't get enabled by default.

For everyone else that now has it enabled by default the problem appears to be triggered because its running when OpenOffice.org gets upgraded, and so is unreliable because the old OpenOffice.org has been deleted.

To alleviate those symptoms we'll attempt to both
a) get the current quickstarter instance to exit if it has been physically deleted and is now unreliable to use.
b) if that fails for any reason. make the quickstarter more robust not crash if possible if used after that. That means in practice that it will be able to execute any major components that were used before the upgrade but not ones that were not already used.

An unavoidable catch-22 is that its the *older* quickstarter that crashes when the update is done while the older quickstarter is running. So the next update will hopefully remove this bug when/if *that update* is upgraded.
Comment 84 Caolan McNamara 2010-11-25 10:20:27 EST
*** Bug 657348 has been marked as a duplicate of this bug. ***
Comment 85 Costantino Cerbo 2010-11-25 14:57:47 EST
Package: openoffice.org-brand-1:3.3.0-15.2.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
I was opening a .cvs file dowloaded in Firefox


Comment
-----
I was opening a .cvs file dowloaded in Firefox
Comment 86 Caolan McNamara 2010-11-28 16:31:07 EST
*** Bug 657934 has been marked as a duplicate of this bug. ***
Comment 87 Craig Robson 2010-11-29 22:15:16 EST
Package: openoffice.org-brand-1:3.3.0-15.2.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
Opening a spreadsheet by clicking on it.
Comment 88 Donald Cohen 2010-11-30 11:37:24 EST
Package: openoffice.org-brand-1:3.3.0-15.2.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.
2.
3.
I just clicked on the icon in the gnome panel
Comment 89 David Tardon 2010-11-30 23:53:00 EST
*** Bug 658626 has been marked as a duplicate of this bug. ***
Comment 90 David Tardon 2010-11-30 23:53:25 EST
*** Bug 658718 has been marked as a duplicate of this bug. ***
Comment 91 Caolan McNamara 2010-12-01 04:03:25 EST
*** Bug 658742 has been marked as a duplicate of this bug. ***
Comment 92 Tad 2010-12-01 09:45:01 EST
Package: openoffice.org-brand-1:3.3.0-15.2.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.
2.
3.
n
Comment 93 Caolan McNamara 2010-12-08 06:02:01 EST
*** Bug 661249 has been marked as a duplicate of this bug. ***
Comment 94 David Tardon 2010-12-13 00:53:44 EST
*** Bug 578831 has been marked as a duplicate of this bug. ***
Comment 95 Caolan McNamara 2010-12-15 15:44:52 EST
*** Bug 663452 has been marked as a duplicate of this bug. ***
Comment 96 David Tardon 2010-12-16 01:15:35 EST
*** Bug 663545 has been marked as a duplicate of this bug. ***
Comment 97 David Tardon 2010-12-18 11:40:31 EST
*** Bug 664109 has been marked as a duplicate of this bug. ***
Comment 98 David Tardon 2010-12-30 01:55:20 EST
*** Bug 666251 has been marked as a duplicate of this bug. ***
Comment 99 Caolan McNamara 2011-02-18 15:25:11 EST
*** Bug 678628 has been marked as a duplicate of this bug. ***
Comment 100 Jonathan Ryshpan 2011-03-09 15:24:49 EST
Package: openoffice.org-brand-1:3.2.0-12.35.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Openoffice text was started from the quickstarter (which has been enabled)
2. It crashed immediately

This has happened occasionally recently, only during the last week or so.  
I have no idea how to reproduce it.
Comment 101 David Tardon 2011-04-20 09:45:14 EDT
*** Bug 698191 has been marked as a duplicate of this bug. ***
Comment 102 Bug Zapper 2011-06-01 11:02:43 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 103 Bug Zapper 2011-06-27 15:15:59 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.